OpenJPEG 2.5.0

Data Structures | Typedefs | Functions
ihdrbox_manager.h File Reference
`#include "byte_manager.h"`
`#include "box_manager.h"`
`#include "metadata_manager.h"`

Go to the source code of this file.

## Data Structures
struct | ihdrbox_param
| I.5.3.1 Image Header box. More...

## Typedefs
typedef struct ihdrbox_param | ihdrbox_param_t
| I.5.3.1 Image Header box. More...

## Functions
ihdrbox_param_t * | gene_ihdrbox (metadatalist_param_t *metadatalist, Byte_t *jpipstream)
| generate ihdr box More...

## Typedef Documentation

## ◆ ihdrbox_param_t

typedef struct ihdrbox_param ihdrbox_param_t

I.5.3.1 Image Header box.

## Function Documentation

## ◆ gene_ihdrbox()

ihdrbox_param_t * gene_ihdrbox | ( | metadatalist_param_t * | metadatalist,
|  | Byte_t * | jpipstream
| ) |  |

generate ihdr box

Parameters

  [in] | metadatalist | metadata list pointer
  [in] | jpipstream | JPT/JPP stream

Returns
  pointer to generated ihdr box

References big2(), big4(), metadata_param::boxlist, ihdrbox_param::bpc, metadatalist_param::first, gene_boxbyTypeinStream(), get_DBoxlen(), get_DBoxoff(), ihdrbox_param::height, ihdrbox_param::nc, metadata_param::next, search_box(), and ihdrbox_param::width.

Referenced by decode_jpip().